summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen2017-08-16 23:04:29 +0200
committer Willy Sudiarto Raharjo2017-08-19 02:10:43 +0200
commit016e6dd7fccd774b166e577c9280c5c2d227b2be (patch)
treeb8a0ed74a0d332f7c345bc8a5ef91fe1414b7fb1
parent776d134d473e6619fdddf7dcae0879147ea07573 (diff)
downloadslackbuilds-016e6dd7fccd774b166e577c9280c5c2d227b2be.tar.gz
libraries/libgltf: Updated for version 0.1.0.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--libraries/libgltf/README10
-rw-r--r--libraries/libgltf/libgltf.SlackBuild16
-rw-r--r--libraries/libgltf/libgltf.info6
3 files changed, 18 insertions, 14 deletions
diff --git a/libraries/libgltf/README b/libraries/libgltf/README
index 7c26fd56bc..c81fbac675 100644
--- a/libraries/libgltf/README
+++ b/libraries/libgltf/README
@@ -1,9 +1,11 @@
-LIBGLTF is a C++ library for rendering OpenGL models stored in glTF format.
+LIBGLTF is a C++ library for rendering OpenGL models stored in glTF
+format.
The glTF, the GL Transmission Format, is the runtime asset format for
the GL APIs: WebGL, OpenGL ES, and OpenGL. glTF bridges the gap between
formats used by modeling tools and the GL APIs.
-LIBGLTF provides methods to load the OpenGL scene from glTF format and render
-it into an existing OpenGL context. LIBGLTF also allows to change the camera
-position so the scene can be displayed from different points of view.
+LIBGLTF provides methods to load the OpenGL scene from glTF format and
+render it into an existing OpenGL context. LIBGLTF also allows to change
+the camera position so the scene can be displayed from different points
+of view.
diff --git a/libraries/libgltf/libgltf.SlackBuild b/libraries/libgltf/libgltf.SlackBuild
index 02d4b6ef19..e3359ce345 100644
--- a/libraries/libgltf/libgltf.SlackBuild
+++ b/libraries/libgltf/libgltf.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libgltf
-# Copyright 2015 Hunter Sezen California, USA
+# Copyright 2015, 2017 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libgltf
-VERSION=${VERSION:-0.0.2}
+VERSION=${VERSION:-0.1.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -54,13 +54,13 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -74,6 +74,8 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --disable-werror \
--build=$ARCH-slackware-linux
make
diff --git a/libraries/libgltf/libgltf.info b/libraries/libgltf/libgltf.info
index 85ce5f5797..288a18d0ab 100644
--- a/libraries/libgltf/libgltf.info
+++ b/libraries/libgltf/libgltf.info
@@ -1,8 +1,8 @@
PRGNAM="libgltf"
-VERSION="0.0.2"
+VERSION="0.1.0"
HOMEPAGE="https://wiki.documentfoundation.org/Development/libgltf"
-DOWNLOAD="http://dev-www.libreoffice.org/src/libgltf/libgltf-0.0.2.tar.bz2"
-MD5SUM="d63a9f47ab048f5009d90693d6aa6424"
+DOWNLOAD="http://dev-www.libreoffice.org/src/libgltf/libgltf-0.1.0.tar.gz"
+MD5SUM="63ae962d0c436909979826fce0fca2fd"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="glm"